PUT /blueprinttemplates/{guid}/{file}

Update a specific file within a blueprint template (e.g., reactroot)

Update a specific file within a blueprint template (e.g., reactroot)
KeyTypeExampleDescription
guidrequiredstring
"example"
Unique identifier (GUID)
filerequiredstring
"reactroot"
File type to update
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
contentoptionalstring
"Use Ctrl+S to save your work quickly"
File content
{}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprinttemplates_updateRequired scope: blueprinttemplates_update

Back to Blueprint Templates Return to the Blueprint Templates category to view other endpoints All API Categories Browse all available API categories